if(NOT FC_PROTOCOL_IS_EXTERNAL_PROJECT)
  set(FC_PROTOCOL_PREFIX "" CACHE PATH "The path to the prefix of an FC protocols installation")
  set(FC_PROTOCOL_INCLUDE_DIR "" CACHE PATH "The path to the headers of an FC protocols installation")

  set(_search_paths "")
  if(EXISTS FC_PROTOCOL_INCLUDE_DIR)
    list(APPEND _search_paths ${FC_PROTOCOL_INCLUDE_DIR})
  endif()
  if(EXISTS FC_PROTOCOL_PREFIX)
    list(APPEND _search_paths "${FC_PROTOCOL_PREFIX}/include")
  endif()
  find_path(
    FC_PROTOCOL_INCLUDE_DIRS
    NAMES fc-protocol/hw/result.hpp
    PATHS ${_search_paths})
  unset(_search_paths)

  if(FC_PROTOCOL_INCLUDE_DIRS)
    set(FC_PROTOCOL_FOUND TRUE)
  endif()

  if(FC_PROTOCOL_FOUND)
    if(NOT FC_PROTOCOL_FIND_QUIETLY)
      message(STATUS "Found FC protocol")
    endif()
    set(HAVE_FC_PROTOCOL 1)
  elseif(FC_PROTOCOL_FOUND)
    if(FC_PROTOCOL_FIND_REQUIRED)
      message(FATAL_ERROR "Could not find FC protocol")
    endif()
  endif()
endif()
