# Подключение внешних проектов
include(ExternalProject)

# cmake-format: off
list(APPEND _ext_project_args
  libsignalview
  DEPENDS libpreprocmath
  SOURCE_DIR          ${CMAKE_SOURCE_DIR}/thirdparty/libsignalview
  INSTALL_DIR         ${CMAKE_BINARY_DIR}
  DOWNLOAD_COMMAND    ""
  CONFIGURE_COMMAND   ${CMAKE_COMMAND} -G "${CMAKE_GENERATOR}"
                         -DPREPROCMATH_PREFIX=${CMAKE_BINARY_DIR}
                         -DCMLIB_MAIN_DIR=${CMLIB_MAIN_DIR}
                         ${CMLIB_EXT_PROJ_DEFAULT_ARGS} <SOURCE_DIR>)
if(SignalViewThirdparty_FIND_COMPONENTS STREQUAL "headers")
  list(APPEND _ext_project_args
    BUILD_COMMAND     true
    INSTALL_COMMAND   ${CMAKE_MAKE_PROGRAM} signalview-install-headers)
endif()
ExternalProject_Add(${_ext_project_args})
unset(_ext_project_args)

set(SIGNALVIEW_IS_EXTERNAL_PROJECT ON CACHE BOOL "" FORCE)
# cmake-format: on

set(SIGNALVIEW_PREFIX
    ${CMAKE_BINARY_DIR}
    CACHE FILEPATH "" FORCE)
set(SIGNALVIEW_INCLUDE_DIR
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_INCLUDEDIR}
    CACHE PATH "" FORCE)
set(SIGNALVIEW_INCLUDE_DIRS
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_INCLUDEDIR}
    CACHE PATH "" FORCE)
set(SIGNALVIEW_LIBRARY_DIR
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}
    CACHE PATH "" FORCE)
set(SIGNALVIEW_LIBRARIES
    ${CMAKE_BINARY_DIR}/${CMAKE_INSTALL_LIBDIR}/libsignalview.a
    CACHE FILEPATH "" FORCE)
